Skip to main content
POST
JavaScript

Authorizations

Authorization
string
header
required

Enter your API Key in the format: Bearer . Get it from https://gbox.ai

Path Parameters

boxId
string
required

Box ID

Example:

"c9bdc193-b54b-4ddb-a035-5ac0c598d32d"

Body

multipart/form-data

Album creation with media files (max size: 512MB per file)

Request to create a new album with uploaded media files

name
string
required

Name of the album to create

Example:

"Vacation Photos"

media
file[]

Media files to include in the album (max size: 512MB per file)

Response

201 - application/json

Album created successfully

Album representation

name
string
required

Name of the album

Example:

"Vacation Photos"

path
string
required

Full path to the album in the box

Example:

"/sdcard/albums/vacation"

lastModified
string<date-time>
required

Last modified time of the album

Example:

"2021-01-01T00:00:00Z"

mediaCount
number
required

Number of media files in the album

Example:

15